For a complete page index, fetch https://developer.close.com/llms.txt

# Get a single Call activity

GET https://api.close.com/api/v1/activity/call/{id}/

Reference: https://developer.close.com/api/resources/activities/calls/get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /activity/call/{id}/:
    get:
      operationId: get
      summary: Get a single Call activity
      tags:
        - subpackage_activitiesCalls
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallActivity'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    PhoneActivitySource:
      type: string
      enum:
        - Close.io
        - External
      description: Source of a phone call or an SMS message.
      title: PhoneActivitySource
    CallStatus:
      type: string
      enum:
        - created
        - in-progress
        - completed
        - cancel
        - no-answer
        - busy
        - failed
        - timeout
      description: >-
        Indicates the status of the call.


        A brand new call starts off as `Created`. Then, if it's answered, its

        status changes to `InProgress`. Finally, once either party hangs up, the

        status is updated to `Completed`.


        Of course, that's the happy path. There are other scenarios in which the

        call assumes a different status. Read the comments below for details.


        Also, see possible call status values for Twilio [0] and, for historical

        calls, Plivo [1] from which the statuses below are derived.


        [0]
        https://www.twilio.com/docs/voice/api/call-resource#call-status-values

        [1] https://www.plivo.com/docs/voice/xml/overview#call-status-values
      title: CallStatus
    CallActivity:
      type: object
      properties:
        _type:
          type: string
        activity_at:
          type:
            - string
            - 'null'
          format: date-time
        contact_id:
          type:
            - string
            - 'null'
        created_by:
          type:
            - string
            - 'null'
        created_by_name:
          type:
            - string
            - 'null'
        date_created:
          type: string
          format: date-time
        date_updated:
          type: string
          format: date-time
        id:
          type: string
        lead_id:
          type:
            - string
            - 'null'
        organization_id:
          type: string
        outcome_id:
          type:
            - string
            - 'null'
        sequence_id:
          type:
            - string
            - 'null'
        sequence_name:
          type:
            - string
            - 'null'
        sequence_subscription_id:
          type:
            - string
            - 'null'
        source:
          $ref: '#/components/schemas/PhoneActivitySource'
        status:
          $ref: '#/components/schemas/CallStatus'
        updated_by:
          type:
            - string
            - 'null'
        updated_by_name:
          type:
            - string
            - 'null'
        user_id:
          type:
            - string
            - 'null'
        user_name:
          type:
            - string
            - 'null'
        users:
          type: array
          items:
            type: string
      required:
        - _type
        - activity_at
        - contact_id
        - created_by
        - date_created
        - date_updated
        - id
        - lead_id
        - organization_id
        - outcome_id
        - source
        - status
        - updated_by
        - user_id
        - users
      title: CallActivity
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python activities.calls_get_example
import requests

url = "https://api.close.com/api/v1/activity/call/id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript activities.calls_get_example
const url = 'https://api.close.com/api/v1/activity/call/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go activities.calls_get_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/activity/call/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby activities.calls_get_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/activity/call/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java activities.calls_get_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/activity/call/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php activities.calls_get_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/activity/call/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp activities.calls_get_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/activity/call/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```